com.ibm.openpages.api.configuration

## Enum ISOCurrencyCode

- java.lang.Object
- - java.lang.Enum<ISOCurrencyCode>
  - - com.ibm.openpages.api.configuration.ISOCurrencyCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ISOCurrencyCode>

      public enum ISOCurrencyCode
      extends java.lang.Enum<ISOCurrencyCode>

  ISO 4217 currency codes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AED`
    `AFN`
    `ALL`
    `AMD`
    `ANG`
    `AOA`
    `ARS`
    `AUD`
    `AWG`
    `AZN`
    `BAM`
    `BBD`
    `BDT`
    `BGN`
    `BHD`
    `BIF`
    `BMD`
    `BND`
    `BOB`
    `BOV`
    `BRL`
    `BSD`
    `BTN`
    `BWP`
    `BYN`
    `BYR`
    `BZD`
    `CAD`
    `CDF`
    `CHE`
    `CHF`
    `CHW`
    `CLF`
    `CLP`
    `CNH`
    `CNY`
    `COP`
    `COU`
    `CRC`
    `CSD`
    `CUC`
    `CUP`
    `CVE`
    `CYP`
    `CZK`
    `DJF`
    `DKK`
    `DOP`
    `DZD`
    `EEK`
    `EGP`
    `ERN`
    `ETB`
    `EUR`
    `FJD`
    `FKP`
    `GBP`
    `GEL`
    `GGP` Deprecated.
    `GHC`
    `GHS`
    `GIP`
    `GMD`
    `GNF`
    `GTQ`
    `GWP`
    `GYD`
    `HKD`
    `HNL`
    `HRK`
    `HTG`
    `HUF`
    `IDR`
    `ILS`
    `IMP` Deprecated.
    `INR`
    `IQD`
    `IRR`
    `ISK`
    `JEP` Deprecated.
    `JMD`
    `JOD`
    `JPY`
    `KES`
    `KGS`
    `KHR`
    `KMF`
    `KPW`
    `KRW`
    `KWD`
    `KYD`
    `KZT`
    `LAK`
    `LBP`
    `LKR`
    `LRD`
    `LSL`
    `LTL`
    `LVL`
    `LYD`
    `MAD`
    `MDL`
    `MGA`
    `MKD`
    `MMK`
    `MNT`
    `MOP`
    `MRO`
    `MRU`
    `MTL`
    `MUR`
    `MVR`
    `MWK`
    `MXN`
    `MXV`
    `MYR`
    `MZN`
    `NAD`
    `NGN`
    `NIO`
    `NOK`
    `NPR`
    `NZD`
    `OMR`
    `PAB`
    `PEN`
    `PGK`
    `PHP`
    `PKR`
    `PLN`
    `PYG`
    `QAR`
    `ROL`
    `RON`
    `RSD`
    `RUB`
    `RWF`
    `SAR`
    `SBD`
    `SCR`
    `SDD`
    `SDG`
    `SEK`
    `SGD`
    `SHP`
    `SIT`
    `SKK`
    `SLL`
    `SOS`
    `SPL` Deprecated.
    `SRD`
    `SSP`
    `STD`
    `STN`
    `SVC`
    `SYP`
    `SZL`
    `THB`
    `TJS`
    `TMM`
    `TMT`
    `TND`
    `TOP`
    `TRY`
    `TTD`
    `TVD` Deprecated.
    `TWD`
    `TZS`
    `UAH`
    `UGX`
    `USD`
    `USN`
    `USS`
    `UYI`
    `UYU`
    `UYW`
    `UZS`
    `VEB`
    `VEF`
    `VES`
    `VND`
    `VUV`
    `WST`
    `XAF`
    `XCD`
    `XDR`
    `XOF`
    `XPF`
    `YER`
    `ZAR`
    `ZMK`
    `ZMW`
    `ZWD`
    `ZWL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ISOCurrencyCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ISOCurrencyCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AED

          public static final ISOCurrencyCode AED

    - #### AFN

          public static final ISOCurrencyCode AFN

    - #### ALL

          public static final ISOCurrencyCode ALL

    - #### AMD

          public static final ISOCurrencyCode AMD

    - #### ANG

          public static final ISOCurrencyCode ANG

    - #### AOA

          public static final ISOCurrencyCode AOA

    - #### ARS

          public static final ISOCurrencyCode ARS

    - #### AUD

          public static final ISOCurrencyCode AUD

    - #### AWG

          public static final ISOCurrencyCode AWG

    - #### AZN

          public static final ISOCurrencyCode AZN

    - #### BAM

          public static final ISOCurrencyCode BAM

    - #### BBD

          public static final ISOCurrencyCode BBD

    - #### BDT

          public static final ISOCurrencyCode BDT

    - #### BGN

          public static final ISOCurrencyCode BGN

    - #### BHD

          public static final ISOCurrencyCode BHD

    - #### BIF

          public static final ISOCurrencyCode BIF

    - #### BMD

          public static final ISOCurrencyCode BMD

    - #### BND

          public static final ISOCurrencyCode BND

    - #### BOB

          public static final ISOCurrencyCode BOB

    - #### BOV

          public static final ISOCurrencyCode BOV

    - #### BRL

          public static final ISOCurrencyCode BRL

    - #### BSD

          public static final ISOCurrencyCode BSD

    - #### BTN

          public static final ISOCurrencyCode BTN

    - #### BYN

          public static final ISOCurrencyCode BYN

    - #### BWP

          public static final ISOCurrencyCode BWP

    - #### BYR

          public static final ISOCurrencyCode BYR

    - #### BZD

          public static final ISOCurrencyCode BZD

    - #### CAD

          public static final ISOCurrencyCode CAD

    - #### CDF

          public static final ISOCurrencyCode CDF

    - #### CHE

          public static final ISOCurrencyCode CHE

    - #### CHF

          public static final ISOCurrencyCode CHF

    - #### CHW

          public static final ISOCurrencyCode CHW

    - #### CLF

          public static final ISOCurrencyCode CLF

    - #### CLP

          public static final ISOCurrencyCode CLP

    - #### CNY

          public static final ISOCurrencyCode CNY

    - #### COP

          public static final ISOCurrencyCode COP

    - #### COU

          public static final ISOCurrencyCode COU

    - #### CRC

          public static final ISOCurrencyCode CRC

    - #### CSD

          public static final ISOCurrencyCode CSD

    - #### CUC

          public static final ISOCurrencyCode CUC

    - #### CUP

          public static final ISOCurrencyCode CUP

    - #### CVE

          public static final ISOCurrencyCode CVE

    - #### CYP

          public static final ISOCurrencyCode CYP

    - #### CZK

          public static final ISOCurrencyCode CZK

    - #### DJF

          public static final ISOCurrencyCode DJF

    - #### DKK

          public static final ISOCurrencyCode DKK

    - #### DOP

          public static final ISOCurrencyCode DOP

    - #### DZD

          public static final ISOCurrencyCode DZD

    - #### EEK

          public static final ISOCurrencyCode EEK

    - #### EGP

          public static final ISOCurrencyCode EGP

    - #### ERN

          public static final ISOCurrencyCode ERN

    - #### ETB

          public static final ISOCurrencyCode ETB

    - #### EUR

          public static final ISOCurrencyCode EUR

    - #### FJD

          public static final ISOCurrencyCode FJD

    - #### FKP

          public static final ISOCurrencyCode FKP

    - #### GBP

          public static final ISOCurrencyCode GBP

    - #### GEL

          public static final ISOCurrencyCode GEL

    - #### GGP

          @Deprecated
          public static final ISOCurrencyCode GGP

      Deprecated.

    - #### GHC

          public static final ISOCurrencyCode GHC

    - #### GHS

          public static final ISOCurrencyCode GHS

    - #### GIP

          public static final ISOCurrencyCode GIP

    - #### GMD

          public static final ISOCurrencyCode GMD

    - #### GNF

          public static final ISOCurrencyCode GNF

    - #### GTQ

          public static final ISOCurrencyCode GTQ

    - #### GWP

          public static final ISOCurrencyCode GWP

    - #### GYD

          public static final ISOCurrencyCode GYD

    - #### HKD

          public static final ISOCurrencyCode HKD

    - #### HNL

          public static final ISOCurrencyCode HNL

    - #### HRK

          public static final ISOCurrencyCode HRK

    - #### HTG

          public static final ISOCurrencyCode HTG

    - #### HUF

          public static final ISOCurrencyCode HUF

    - #### IDR

          public static final ISOCurrencyCode IDR

    - #### ILS

          public static final ISOCurrencyCode ILS

    - #### IMP

          @Deprecated
          public static final ISOCurrencyCode IMP

      Deprecated.

    - #### INR

          public static final ISOCurrencyCode INR

    - #### IQD

          public static final ISOCurrencyCode IQD

    - #### IRR

          public static final ISOCurrencyCode IRR

    - #### ISK

          public static final ISOCurrencyCode ISK

    - #### JEP

          @Deprecated
          public static final ISOCurrencyCode JEP

      Deprecated.

    - #### JMD

          public static final ISOCurrencyCode JMD

    - #### JOD

          public static final ISOCurrencyCode JOD

    - #### JPY

          public static final ISOCurrencyCode JPY

    - #### KES

          public static final ISOCurrencyCode KES

    - #### KGS

          public static final ISOCurrencyCode KGS

    - #### KHR

          public static final ISOCurrencyCode KHR

    - #### KMF

          public static final ISOCurrencyCode KMF

    - #### KPW

          public static final ISOCurrencyCode KPW

    - #### KRW

          public static final ISOCurrencyCode KRW

    - #### KWD

          public static final ISOCurrencyCode KWD

    - #### KYD

          public static final ISOCurrencyCode KYD

    - #### KZT

          public static final ISOCurrencyCode KZT

    - #### LAK

          public static final ISOCurrencyCode LAK

    - #### LBP

          public static final ISOCurrencyCode LBP

    - #### LKR

          public static final ISOCurrencyCode LKR

    - #### LRD

          public static final ISOCurrencyCode LRD

    - #### LSL

          public static final ISOCurrencyCode LSL

    - #### LTL

          public static final ISOCurrencyCode LTL

    - #### LVL

          public static final ISOCurrencyCode LVL

    - #### LYD

          public static final ISOCurrencyCode LYD

    - #### MAD

          public static final ISOCurrencyCode MAD

    - #### MDL

          public static final ISOCurrencyCode MDL

    - #### MGA

          public static final ISOCurrencyCode MGA

    - #### MKD

          public static final ISOCurrencyCode MKD

    - #### MMK

          public static final ISOCurrencyCode MMK

    - #### MNT

          public static final ISOCurrencyCode MNT

    - #### MOP

          public static final ISOCurrencyCode MOP

    - #### MRO

          public static final ISOCurrencyCode MRO

    - #### MRU

          public static final ISOCurrencyCode MRU

    - #### MTL

          public static final ISOCurrencyCode MTL

    - #### MUR

          public static final ISOCurrencyCode MUR

    - #### MVR

          public static final ISOCurrencyCode MVR

    - #### MWK

          public static final ISOCurrencyCode MWK

    - #### MXN

          public static final ISOCurrencyCode MXN

    - #### MXV

          public static final ISOCurrencyCode MXV

    - #### MYR

          public static final ISOCurrencyCode MYR

    - #### MZN

          public static final ISOCurrencyCode MZN

    - #### NAD

          public static final ISOCurrencyCode NAD

    - #### NGN

          public static final ISOCurrencyCode NGN

    - #### NIO

          public static final ISOCurrencyCode NIO

    - #### NOK

          public static final ISOCurrencyCode NOK

    - #### NPR

          public static final ISOCurrencyCode NPR

    - #### NZD

          public static final ISOCurrencyCode NZD

    - #### OMR

          public static final ISOCurrencyCode OMR

    - #### PAB

          public static final ISOCurrencyCode PAB

    - #### PEN

          public static final ISOCurrencyCode PEN

    - #### PGK

          public static final ISOCurrencyCode PGK

    - #### PHP

          public static final ISOCurrencyCode PHP

    - #### PKR

          public static final ISOCurrencyCode PKR

    - #### PLN

          public static final ISOCurrencyCode PLN

    - #### PYG

          public static final ISOCurrencyCode PYG

    - #### QAR

          public static final ISOCurrencyCode QAR

    - #### ROL

          public static final ISOCurrencyCode ROL

    - #### RON

          public static final ISOCurrencyCode RON

    - #### RSD

          public static final ISOCurrencyCode RSD

    - #### RUB

          public static final ISOCurrencyCode RUB

    - #### RWF

          public static final ISOCurrencyCode RWF

    - #### SAR

          public static final ISOCurrencyCode SAR

    - #### SBD

          public static final ISOCurrencyCode SBD

    - #### SCR

          public static final ISOCurrencyCode SCR

    - #### SDD

          public static final ISOCurrencyCode SDD

    - #### SDG

          public static final ISOCurrencyCode SDG

    - #### SEK

          public static final ISOCurrencyCode SEK

    - #### SGD

          public static final ISOCurrencyCode SGD

    - #### SHP

          public static final ISOCurrencyCode SHP

    - #### SIT

          public static final ISOCurrencyCode SIT

    - #### SKK

          public static final ISOCurrencyCode SKK

    - #### SLL

          public static final ISOCurrencyCode SLL

    - #### SOS

          public static final ISOCurrencyCode SOS

    - #### SPL

          @Deprecated
          public static final ISOCurrencyCode SPL

      Deprecated.

    - #### SRD

          public static final ISOCurrencyCode SRD

    - #### SSP

          public static final ISOCurrencyCode SSP

    - #### STD

          public static final ISOCurrencyCode STD

    - #### STN

          public static final ISOCurrencyCode STN

    - #### SVC

          public static final ISOCurrencyCode SVC

    - #### SYP

          public static final ISOCurrencyCode SYP

    - #### SZL

          public static final ISOCurrencyCode SZL

    - #### THB

          public static final ISOCurrencyCode THB

    - #### TJS

          public static final ISOCurrencyCode TJS

    - #### TMM

          public static final ISOCurrencyCode TMM

    - #### TMT

          public static final ISOCurrencyCode TMT

    - #### TND

          public static final ISOCurrencyCode TND

    - #### TOP

          public static final ISOCurrencyCode TOP

    - #### TRY

          public static final ISOCurrencyCode TRY

    - #### TTD

          public static final ISOCurrencyCode TTD

    - #### TVD

          @Deprecated
          public static final ISOCurrencyCode TVD

      Deprecated.

    - #### TWD

          public static final ISOCurrencyCode TWD

    - #### TZS

          public static final ISOCurrencyCode TZS

    - #### UAH

          public static final ISOCurrencyCode UAH

    - #### UGX

          public static final ISOCurrencyCode UGX

    - #### USD

          public static final ISOCurrencyCode USD

    - #### USN

          public static final ISOCurrencyCode USN

    - #### USS

          public static final ISOCurrencyCode USS

    - #### UYI

          public static final ISOCurrencyCode UYI

    - #### UYU

          public static final ISOCurrencyCode UYU

    - #### UYW

          public static final ISOCurrencyCode UYW

    - #### UZS

          public static final ISOCurrencyCode UZS

    - #### VEB

          public static final ISOCurrencyCode VEB

    - #### VEF

          public static final ISOCurrencyCode VEF

    - #### VES

          public static final ISOCurrencyCode VES

    - #### VND

          public static final ISOCurrencyCode VND

    - #### VUV

          public static final ISOCurrencyCode VUV

    - #### WST

          public static final ISOCurrencyCode WST

    - #### XAF

          public static final ISOCurrencyCode XAF

    - #### XCD

          public static final ISOCurrencyCode XCD

    - #### XDR

          public static final ISOCurrencyCode XDR

    - #### XOF

          public static final ISOCurrencyCode XOF

    - #### XPF

          public static final ISOCurrencyCode XPF

    - #### YER

          public static final ISOCurrencyCode YER

    - #### ZAR

          public static final ISOCurrencyCode ZAR

    - #### ZMK

          public static final ISOCurrencyCode ZMK

    - #### ZMW

          public static final ISOCurrencyCode ZMW

    - #### ZWD

          public static final ISOCurrencyCode ZWD

    - #### ZWL

          public static final ISOCurrencyCode ZWL

    - #### CNH

          public static final ISOCurrencyCode CNH

  - ### Method Detail

    - #### values

          public static ISOCurrencyCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISOCurrencyCode c : ISOCurrencyCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISOCurrencyCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.